.\"
.\" Copyright(c) 1997, 1998 by Jun-ichiro Itoh. All rights reserved.
.\" Freely redistributable unless otherwise noted.  Absolutely no warranty.
.\"
.\" author contact: Jun-ichiro itojun Itoh <itojun@mt.cs.keio.ac.jp>
.\" $Id: crosspad2ps.man,v 1.10 1998/11/12 03:09:05 itojun Exp $
.\"
.Dd September 1998
.Dt CROSSPAD2PS 1
.Os
.\"
.Sh NAME
.Nm crosspad2ps
.Nd convert CrossPad data file into postscript and other formats
.\"
.Sh SYNOPSIS
.Nm crosspad2ps
.Op Fl abDir
.Op Fl s Ar startpage
.Op Fl e Ar endpage
.Op Fl p Ar page
.Op Fl m Ar format
.Op Fl w Ar width
.Ar file
.\"
.Sh DESCRIPTION
.Nm
converts CrossPad version 0 data
.Po
which is typically generated by
.Xr padload 1
.Pc
into postscript file.
.Pp
The following options are available.
.Bl -tag -width indent
.It Fl a
Toggle annotation.
Annocation is on by default, and will be
.Bl -bullet -compact
.It
page number on the bottom left of the page, and
.It
checkbox on bookmarked page.
.El
.It Fl b
Batch mode
.Pq default .
This has no effect at this moment.
.It Fl D
Debug mode.
If you specify multiple
.Fl D ,
debug level will be raised.
.It Fl i
Interactive mode, which is opposite from batch mode
.Pq Fl b .
This has no effect at this moment.
.It Fl r
Do not reorder pages.
CrossPad file is ordered by date/time, not the pages.
By default,
.Nm crosspad2ps
will reorder output by page number, which is usually a desired behavior.
If called with
.Fl r ,
.Nm crosspad2ps
will not reorder the pages, and generate output based on the order
presented in the source file.
.It Fl s Ar startpage
.It Fl e Ar endpage
.It Fl p Ar page
To restrict page range to be appear on output, use these options.
.Fl p
is to genearate output for single page only.
.It Fl m Ar format
Select the output format.
.Ar format
can be
.Li ps ,
.Li eps ,
.Li tgif or
.Li idraw .
Alternatively, you can invoke
.Nm
under other names such as
.Nm crosspad2eps .
.It Fl w Ar width
Set the linewidth to
.Ar width .
.El
.\"
.Sh MODES
There are some restrictions or differences in behavior for each of the
output formats.
To switch output format, please use
.Fl m ,
or invoke as
.Nm crosspad2xx .
.Bl -tag -width indent
.It Li ps
Annotation
.Pq Fl a
takes effect on postscript output only.
Linewidth option
.Pq Fl w
takes effect on postscript, eps and tgif output only.
.It Li eps
As we cannot generate multi-page encapsulated postscript file,
only the first page in the specified range
.Po
as specified by
.Fl s ,
.Fl e
and
.Fl p
.Pc
will be generated.
Linewidth option
.Pq Fl w
takes effect on postscript, eps and tgif output only.
Annotation
.Pq Fl a
will not be handled.
.It Li tgif
.Fl s ,
.Fl e
and
.Fl p
will behave just as the same as
.Li eps
mode.
.Fl r
has no effect.
Blank area around the sketch will be cropped,
and the sketch will be placed at top-left corner of the tgif image.
Annotation
.Pq Fl a
and linewidth
.Pq Fl w
takes effect on postscript, eps and tgif output only.
Debugging output
.Pq Fl D
will not be generated.
.It Li idraw
Mostly same as
.Li tgif
mode.
.Fl s ,
.Fl e
and
.Fl p
will behave just as the same as
.Li eps
mode.
.Fl r
has no effect.
Blank area around the sketch will be cropped.
Annotation
.Pq Fl a
and linewidth
.Pq Fl w
will not be handled.
Debugging output
.Pq Fl D
will not be generated.
.El
.\"
.Sh BUGS
If
.Nm crosspad2ps
sees unknown control code in the file, it will generate error.
In this case, you'd better transmit your CrossPad file to the author
of the utility, so that the control code is supported in the next
version of this program.
.Pp
This tool only capable of handling CrossPad version 0 file format.
.Pp
.Fl b
and
.Fl i
has no effect at this moment.
.\"
.Sh REFERENCES
.Xr padload 1
.\"
.Sh AUTHOR CONTACT
Jun-ichiro Itoh <itojun@itojun.org>
