.\"
.\" Copyright(c) 1997, 1998 by Jun-ichiro Itoh. All rights reserved.
.\" Freely redistributable unless otherwise noted.  Absolutely no warranty.
.\"
.\" author contact: Jun-ichiro itojun Itoh <itojun@mt.cs.keio.ac.jp>
.\" $Id: padload.man,v 1.4 1998/09/27 02:22:50 itojun Exp $
.\"
.Dd September 1998
.Dt PADLOAD 1
.Os
.\"
.Sh NAME
.Nm padload
.Nd download tool for CrossPad
.\"
.Sh SYNOPSIS
.Nm padload
.Op Fl duvD
.Op Fl b Ar baudrate
.Op Fl o Ar filename
.Ar port
.\"
.Sh DESCRIPTION
.Nm
is an downloading tool for CrossPad portable digitizing notepad.
.Pp
To use this program perform the following steps:
.Bl -enum -compact
.It
Connect your CrossPad to some of the serial port of your UNIX box.
Here we assume the port to be
.Li /dev/tty00 .
.\"
.It
Tap
.Dq menu
key on the CrossPad, and put
.Dq Upload ink
on LCD screen.
DO NOT tap
.Dq yes
yet.
.\"
.It
Invoke
.Nm
with proper option.
.\"
.It
Tap
.Dq yes
key on the CrossPad.
Note that you must tap
.Dq yes
key before
.Nm
timeouts
.Pq roughly 5 seconds .
.\"
.It
Output should be generated into the specified file.
.\"
.It
Follow the instruction on the LCD screen of CrossPad.
It will ask you if you would like to erase the ink data
.Pq vector data of the pen trace
on the CrossPad, or you wish to keep the ink data.
.El
.Pp
The following options are available.
.Bl -tag -width indent
.It Fl d
Enable data dump mode
.Pq basically for debugging .
The data transmitted between the program and the camera will be shown.
Transactions longer than 30 bytes will be truncated to fit the dump list
into 80 columns.
.It Fl i
Do not overwrite existing files.
.It Fl u
Do not perform
.Xr uucp 1
locking.
Only gulus are allowed to use this option.
.It Fl v
Be verbose.
.It Fl D
Enable debugging mode.
.It Fl b Ar baudrate
Specify baudrate to use.
Default baudrate is 115200bps.
.It Fl o Ar filename
Generate output to
.Ar filename .
If this option is not specified, genearte output to
.Li /tmp/xxxxxxxx.cpd ,
where
.Li xxxxxxxx
is determined by the current time.
.It Ar port
The serial port to be used.
.El
.\"
.Sh REFERENCES
.Xr crosspad2ps 1 ,
.Xr uucp 1
.\"
.Sh BUGS
.Fl d
option and
.Fl D
option may break timing constraint of the protocol,
as CPU time will be chewed by tty output.
.\"
.Sh AUTHOR CONTACT
Jun-ichiro Itoh <itojun@itojun.org>
